Subject: RE: Your comments on 3 possible new PPVPN WG documents

From: [email-masked]
Date: Wed, 13 Nov 2002 18:30:15 -0000

I support Yakov's proposal (on consensus) for a study to contrast/compare
(i) adding new functionality to existing routing protocols vs (i) providing
the new functionality by other means.  I am sure many other operators would
welcome seeing such studies/work carried out.

It would also be helpful if the technical inaccuracies mentioned could also
be expanded upon.

regards, Neil

> -----Original Message-----
> From: Yakov Rekhter [mailto:[email-masked]]
> Sent: 13 November 2002 16:58
> To: Marco Carugi
> Cc: [email-masked]'
> Subject: Re: Your comments on 3 possible new PPVPN WG documents
> 
> 
> Marco,
> 
> > All,  
> > 
> > I'd like to have your comments on the list about 3 drafts  
> before Atlanta
> > meeting.
> > The intention is to move them to WG document status asap 
> (note this is in
> > line with what discussed in Yokohama) and I'd like to see 
> if still and which
> > are your major concerns.
> > Hopefully, it will be possible to officialise something at 
> the Atlanta
> > meeting.
> > 
> > Thanks, Marco
> > 
> > - Generic Requirements for Provider Provisioned VPN : 
> > draft-nagarajan-ppvpn-generic-reqts-01.txt (deliverable 
> agreed in Yokohama
> > based on IESG input). Umbrella reqts document for specific 
> L3 and L2 reqts
> > documents. Info RFC track. 
> > 
> > - Requirements for Layer 2 Virtual Private Network services : 
> > draft-augustyn-ppvpn-l2vpn-requirements-01.txt (agreed in 
> Yokohama to
> > supercede the current  VPLS WG document). 
> > - draft-luciani-ppvpn-vpn-discovery-03.txt : agreed as WG doc before
> > Yokohama, but the authors just resubmitted it now. So, I 
> wish that we check
> > it again. Intention is to progress it similarly to 
> BGP-autodiscovery draft
> > (already WG doc),  as one of the discovery methods.  
> 
> From draft-luciani-ppvpn-vpn-discovery-03.txt:
> 
>    To date, proposals for VPN discovery have focused on including VPN
>    information in BGP and IGP routing protocols.   This method has the
>    unfortunate effect of increasing the size of routing tables within
>    the set of affected provider domains, even for those devices that
>    are not involved in the VPN.  This increase in size may be quite
>    significant in some cases.  
>    
>    There are other disadvantages to linking discovery and signaling to
>    each other, and to an existing routing protocol.  Routing 
> changes or
>    recalculations could interfere with the discovery and signaling
>    functions of VPNs.  When PE equipment is connected with explicitly
>    routed LSPs, for example, such interference is completely
>    unwarranted.  Likewise, VPN changes (adding or deleting 
> VPN support)
>    impact routing tables with unnecessary updates, as this information
>    must be propagated across the network via the routing protocol.   
> 
> The analysis  of using BGP for auto-discovery in the above two
> paragraphs is superficial and contains technical inaccuracies.
> Moreover, if there is a consensus within the WG that there is
> a need to compare and constast  BGP vs DNS for autodiscovery
> it would be more appropriate to have a separate document on this
> topic.
> 
> Therefore, I request that the above two paragraphs be deleted
> from the draft before it would become a PPVPN WG document.
> 
> Yakov.
> 
>

---

From: Matt Squire <[email-masked]>
Date: Wed, 13 Nov 2002 20:19:32 -0500 (GMT)

I have no problem yanking the referenced paragraphs.  Although I disagree on the inaccuracy, I completely agree that they are unnecessary.  So consider them gone.

- Matt

-------Original Message-------
From: Yakov Rekhter <[email-masked]>
Sent: 11/13/02 11:57 AM
To: Marco Carugi <[email-masked]>
Subject: Re: Your comments on 3 possible new PPVPN WG documents

> All,  
> 
> I'd like to have your comments on the list about 3 drafts  before Atlanta
> meeting.
> The intention is to move them to WG document status asap (note this is in
> line with what discussed in Yokohama) and I'd like to see if still and which
> are your major concerns.
> Hopefully, it will be possible to officialise something at the Atlanta
> meeting.
> 
> Thanks, Marco
> 
> draft-nagarajan-ppvpn-generic-reqts-01.txt (deliverable agreed in Yokohama
> based on IESG input). Umbrella reqts document for specific L3 and L2 reqts
> draft-augustyn-ppvpn-l2vpn-requirements-01.txt (agreed in Yokohama to
> Yokohama, but the authors just resubmitted it now. So, I wish that we check
> it again. Intention is to progress it similarly to BGP-autodiscovery draft

   
   There are other disadvantages to linking discovery and signaling to
   each other, and to an existing routing protocol.  Routing changes or
   recalculations could interfere with the discovery and signaling
   functions of VPNs.  When PE equipment is connected with explicitly
   routed LSPs, for example, such interference is completely
   unwarranted.  Likewise, VPN changes (adding or deleting VPN support)
   impact routing tables with unnecessary updates, as this information
   must be propagated across the network via the routing protocol.   

Yakov.